eduroam uses 802.1x authentication in order to connect your device to the wireless network.  Most modern operating systems(os) support 802.1x.  There have been security improvements in encryption methods used over the years so some older os's that support 802.1x do not support current encryption version.


Minimum Operation System Versions

  • MacOS: 10.13(High Sierra)
  • Windows: 8
  • Android: 5.1.1
  • iOS(iphone/ipad): 8
  • ChromeOS: 73


If your os does not meet the minimum version we recommend to upgrade your os.  If that is not possible please contact it@lesley.edu in order to work out an alternative connection method.